<?PHP
/**
 * SMF Error Log Control
 *
 * Copyright 2022 Chen Zhen @ web-develop.ca
 * This software package is distributed under the terms of its Creative Commons - Attribution No Derivatives License (by-nd) 4.0
 * License: https://creativecommons.org/licenses/by-nd/4.0/
 *
 **/

if (!defined('SMF'))
	die('<b>Error:</b> Cannot install');

global $modSettings;
$version = version_compare((!empty($modSettings['smfVersion']) ? substr($modSettings['smfVersion'], 0, 3) : '2.0'), '2.1', '<') ? 'v2.0' : 'v2.1';
db_extend('packages');

// Add hooks
remove_integration_function('integrate_pre_include', '$sourcedir/ErrorLogControl.php');
remove_integration_function('integrate_pre_load', 'ErrorLogControl_loadLanguage');

if ($version === 'v2.1')
{
	remove_integration_function('integrate_error_types', 'ErrorLogControl_error_types');
	remove_integration_function('integrate_prune_settings', 'ErrorLogControl_admin_settings');
}

?>